Skip to main content
POST
/
api2
/
v1
/
projects
/
{projectUid}
/
jobs
/
{jobUid}
/
qualityAssurances
/
run
Run quality assurance
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/{jobUid}/qualityAssurances/run \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "initialSegment": {
    "uid": "<string>"
  },
  "warningTypes": []
}
'
import requests

url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/{jobUid}/qualityAssurances/run"

payload = {
"initialSegment": { "uid": "<string>" },
"warningTypes": []
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({initialSegment: {uid: '<string>'}, warningTypes: []})
};

fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/{jobUid}/qualityAssurances/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "finished": true,
  "segmentWarnings": [
    {
      "ignoredChecks": [],
      "segmentId": "<string>",
      "warnings": [
        {
          "id": "<string>",
          "ignored": true
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required

Project UID

jobUid
string
required

Job UID

Body

application/json

Quality assurance run configuration

initialSegment
object
warningTypes
enum<string>[]
Maximum array length: 100
Available options:
EmptyTranslation,
TrailingPunctuation,
Formatting,
JoinTags,
MissingNumbersV3,
MultipleSpacesV3,
NonConformingTerm,
NotConfirmed,
TranslationLength,
AbsoluteLength,
RelativeLength,
UnresolvedComment,
EmptyPairTags,
InconsistentTranslationTargetSource,
InconsistentTranslationSourceTarget,
ForbiddenString,
SpellCheck,
RepeatedWord,
InconsistentTagContent,
EmptyTagContent,
Malformed,
ForbiddenTerm,
NewerAtLowerLevel,
LeadingAndTrailingSpaces,
LeadingSpaces,
TrailingSpaces,
TargetSourceIdentical,
SourceOrTargetRegexp,
UnmodifiedFuzzyTranslation,
UnmodifiedFuzzyTranslationTM,
UnmodifiedFuzzyTranslationMTNT,
Moravia,
ExtraNumbersV3,
UnresolvedConversation,
NestedTags,
FuzzyInconsistencyTargetSource,
FuzzyInconsistencySourceTarget,
CustomQA,
MissingNonTranslatableAnnotation

Response

OK

finished
boolean
segmentWarnings
object[]